summaryrefslogtreecommitdiffstats
path: root/libraries/perl-Test-Pod
diff options
context:
space:
mode:
author Nishant Limbachia2010-05-13 00:59:09 +0200
committer David Somero2010-05-13 00:59:09 +0200
commit1dadb6474bc61dfbfd9deb704557b3c4281052bf (patch)
treeb4a12ec0a981a85e2df01b499e747968e49f4e67 /libraries/perl-Test-Pod
parentc37eea358151571583ac383e1022fd42fa615aef (diff)
downloadslackbuilds-1dadb6474bc61dfbfd9deb704557b3c4281052bf.tar.gz
libraries/perl-Test-Pod: Added to 13.0 repository
Diffstat (limited to 'libraries/perl-Test-Pod')
-rw-r--r--libraries/perl-Test-Pod/README3
-rw-r--r--libraries/perl-Test-Pod/perl-Test-Pod.SlackBuild86
-rw-r--r--libraries/perl-Test-Pod/perl-Test-Pod.info10
-rw-r--r--libraries/perl-Test-Pod/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/libraries/perl-Test-Pod/README b/libraries/perl-Test-Pod/README
new file mode 100644
index 0000000000..b3945b7c21
--- /dev/null
+++ b/libraries/perl-Test-Pod/README
@@ -0,0 +1,3 @@
+perl-Test-Pod checks for POD errors in files.
+
+perl-Test-Pod is optional dependency for perl-MailTools
diff --git a/libraries/perl-Test-Pod/perl-Test-Pod.SlackBuild b/libraries/perl-Test-Pod/perl-Test-Pod.SlackBuild
new file mode 100644
index 0000000000..347d7a0f96
--- /dev/null
+++ b/libraries/perl-Test-Pod/perl-Test-Pod.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware Package Build Script for perl modules: Test::POD
+# Home Page http://search.cpan.org/dist/Test-Pod/
+
+# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA [nishant@mnspace.net]
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by the SlackBuilds.org project.
+
+SRCNAM=Test-Pod
+PRGNAM=perl-Test-Pod
+VERSION=1.26
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+DOCS="Changes"
+
+rm -fr $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/$SRCNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+CFLAGS="$SLKCFLAGS" \
+perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make install DESTDIR=$PKG
+
+### putting essential docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Remove perlocal.pod and .packlist from $PKG
+( cd $PKG
+ find . -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-Test-Pod/perl-Test-Pod.info b/libraries/perl-Test-Pod/perl-Test-Pod.info
new file mode 100644
index 0000000000..b48ddddfcf
--- /dev/null
+++ b/libraries/perl-Test-Pod/perl-Test-Pod.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Test-Pod"
+VERSION="1.26"
+HOMEPAGE="http://search.cpan.org/dist/Test-Pod/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/Test-Pod-1.26.tar.gz"
+MD5SUM="2f259135656ac4549b65a4f14f07b7c6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/libraries/perl-Test-Pod/slack-desc b/libraries/perl-Test-Pod/slack-desc
new file mode 100644
index 0000000000..8e6689d62e
--- /dev/null
+++ b/libraries/perl-Test-Pod/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Test-Pod: perl-Test-Pod (Test::Pod)
+perl-Test-Pod:
+perl-Test-Pod: perl-Test-Pod - checks for POD errors in files
+perl-Test-Pod:
+perl-Test-Pod: Homepage: http://search.cpan.org/dist/Test-Pod/
+perl-Test-Pod:
+perl-Test-Pod:
+perl-Test-Pod:
+perl-Test-Pod:
+perl-Test-Pod:
+perl-Test-Pod: